[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[command]
name = "fwd"
command = F
time = 1
[command]
name = "back"
command = B
time = 1
[command]
name= "up"
command  =U
time = 1
[command]
name = "start"
command = s
time = 1
[command]
name = "down"
command = D
time = 1
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI49"
command = z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI50"
command = z,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI51"
command = z,z,z,a,a,z,z,z,z,a,z,z,z,z,a,a,z,z,z
time = 0
[command]
name = "fwd"
command = F
time = 1
[command]
name = "back"
command = B
time = 1
[command]
name= "up"
command  =U
time = 1
[command]
name = "down"
command = D
time = 1
;---------------------------------------------------------------------------
;超必殺技
;========================================================
[Command]
name = "HY1_w"
command = ~D ,DF ,F, D, DF, a 
time = 25

[Command]
name = "HY1_m"
command = ~D ,DF ,F, D, DF, b 
time = 25

[Command]
name = "HY1_s"
command = ~D ,DF ,F, D, DF, c 
time = 25

[Command]
name = "HY2_w"
command = ~D ,DF ,F, D, DF,F, x 
time = 25

[Command]
name = "HY2_m"
command = ~D ,DF ,F, D, DF,F, y 
time = 25

[Command]
name = "HY2_s"
command = ~D ,DF ,F, D, DF,F, z 
time = 25

[Command]
name = "HY3_w"
command = ~D ,DB ,B, D, DB,B, a 
time = 25

[Command]
name = "HY3_m"
command = ~D ,DB ,B, D, DB,B, b 
time = 25

[Command]
name = "HY3_s"
command = ~D ,DB ,B, D, DB,B, c 
time = 25

[Command]
name = "HY4"
command = ~x, x, F, a, z
time = 25

;--------------------------------------------------------
;必殺技
;========================================================
[Command]
name = "SP1_w"
command = ~F ,D ,DF , x
time = 15

[Command]
name = "SP1_m"
command = ~F ,D ,DF , y
time = 15

[Command]
name = "SP1_s"
command = ~F ,D ,DF , z
time = 15

[Command]
name = "SP2_w"
command = ~D ,DF ,F, x
time = 15

[Command]
name = "SP2_m"
command = ~D ,DF ,F, y
time = 15

[Command]
name = "SP2_s"
command = ~D ,DF ,F, z
time = 15

[Command]
name = "SP3_w"
command = ~D ,DB ,B, a
time = 15

[Command]
name = "SP3_m"
command = ~D ,DB ,B, b
time = 15

[Command]
name = "SP3_s"
command = ~D ,DB ,B, c
time = 15

[Command]
name = "SP4_w"
command = ~F ,D ,DF , a
time = 15

[Command]
name = "SP4_m"
command = ~F ,D ,DF , b
time = 15

[Command]
name = "SP4_s"
command = ~F ,D ,DF , c
time = 15

[Command]
name = "SP5_f1"
command = ~F ,D ,DF , x+y+z
time = 15

[Command]
name = "SP5_f2"
command = ~F ,D ,DF , a+b+c
time = 15

[Command]
name = "SP5_b1"
command = ~B ,D ,DB , x+y+z
time = 15

[Command]
name = "SP5_b2"
command = ~B ,D ,DB , a+b+c
time = 15
;==================================================
;投げ
;さくら絞め
[Command]
name = "PT"
command = /F, x+y
time = 3

[Command]
name = "PT"
command = /F, z+y
time = 3

[Command]
name = "PT"
command = /F, x+z
time = 3

[Command]
name = "PT"
command = /B, x+y
time = 3

[Command]
name = "PT"
command = /B, z+y
time = 3

[Command]
name = "PT"
command = /B, x+z
time = 3

;セーラーシュート
[Command]
name = "KT"
command = /F, a+b
time = 3

[Command]
name = "KT"
command = /F, b+c
time = 3

[Command]
name = "KT"
command = /F, a+c
time = 3

[Command]
name = "KT2"
command = /B, a+b
time = 3

[Command]
name = "KT2"
command = /B, b+c
time = 3

[Command]
name = "KT2"
command = /B, a+c
time = 3

;ゼロカウンター
[Command]
name = "ZC"
command = /$F, x+a
time = 3

[Command]
name = "ZC"
command = /$F, y+b
time = 3

[Command]
name = "ZC"
command = /$F, z+c
time = 3

;----------------------------------------------------------------------
[Command]
name = "FF"
command = F, F
time = 10

[Command]
name = "BB"
command = B, B
time = 10

[Command]
name = "recovery"
command = x+y
time = 1

[Command]
name = "recovery"
command = x+z
time = 1

[Command]
name = "recovery"
command = z+y
time = 1

[Command]
name = "rolling"
command = a+b
time = 1

[Command]
name = "rolling"
command = a+c
time = 1

[Command]
name = "rolling"
command = c+b
time = 1

;-------------------------------------

[command]
name = "fwd_b"
command = /F, b
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "s"
command = s
time = 1

[Command]
name = "F"
command = F
time = 1

[Command]
name = "B"
command = B
time = 1

[Command]
name = "U"
command = U
time = 1

[Command]
name = "D"
command = D
time = 1

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

[Statedef -1]


;===========================================
;スーパーコンボ
;-------------------------------------------
;春獄殺						Ｌｖ３　　専用
[State -1]
type = ChangeState
value = 3500
triggerall = !var(59)
triggerall = PalNo = 9 || PalNo = 12
;triggerall = Power >= 3000
triggerall = Command = "HY4"
triggerall = !StateType = A
trigger1 = StateNo = 52 || (StateNo = [200,300]) || (StateNo = [400,450])
trigger2 = Ctrl = 1

;乱れ桜
[State -1]
type = ChangeState
value = 3000
triggerall = !var(59)
triggerall = Power >= 1000
triggerall = command = "HY1_w"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 9
trigger3 = StateNo = 210 && Time < 13
trigger4 = StateNo = 220 && Time < 12
trigger5 = StateNo = 240 && Time < 12
trigger6 = StateNo = 250 && Time < 14
trigger7 = StateNo = 400 && Time < 8
trigger8 = StateNo = 410 && Time < 14
trigger9 = StateNo = 420 && Time < 10
trigger10 = StateNo = 430 && Time < 10

[State -1]
type = ChangeState
value = 3010
triggerall = !var(59)
triggerall = Power >= 2000
triggerall = command = "HY1_m"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 9
trigger3 = StateNo = 210 && Time < 13
trigger4 = StateNo = 220 && Time < 12
trigger5 = StateNo = 240 && Time < 12
trigger6 = StateNo = 250 && Time < 14
trigger7 = StateNo = 400 && Time < 8
trigger8 = StateNo = 410 && Time < 14
trigger9 = StateNo = 420 && Time < 10
trigger10 = StateNo = 430 && Time < 10

[State -1]
type = ChangeState
value = 3020
triggerall = !var(59)
triggerall = Power >= 3000
triggerall = command = "HY1_s"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 9
trigger3 = StateNo = 210 && Time < 13
trigger4 = StateNo = 220 && Time < 12
trigger5 = StateNo = 240 && Time < 12
trigger6 = StateNo = 250 && Time < 14
trigger7 = StateNo = 400 && Time < 8
trigger8 = StateNo = 410 && Time < 14
trigger9 = StateNo = 420 && Time < 10
trigger10 = StateNo = 430 && Time < 10

;真空波動
[State -1]
type = ChangeState
value = 3100
triggerall = !var(59)
triggerall = NumProjID(3100) = 0
triggerall = Power >= 1000
triggerall = command = "HY2_w"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 9
trigger3 = StateNo = 210 && Time < 13
trigger4 = StateNo = 220 && Time < 12
trigger5 = StateNo = 240 && Time < 12
trigger6 = StateNo = 250 && Time < 14
trigger7 = StateNo = 400 && Time < 8
trigger8 = StateNo = 410 && Time < 14
trigger9 = StateNo = 420 && Time < 10
trigger10 = StateNo = 430 && Time < 10

[State -1]
type = ChangeState
value = 3110
triggerall = !var(59)
triggerall = NumProjID(3100) = 0
triggerall = Power >= 2000
triggerall = command = "HY2_m"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 9
trigger3 = StateNo = 210 && Time < 13
trigger4 = StateNo = 220 && Time < 12
trigger5 = StateNo = 240 && Time < 12
trigger6 = StateNo = 250 && Time < 14
trigger7 = StateNo = 400 && Time < 8
trigger8 = StateNo = 410 && Time < 14
trigger9 = StateNo = 420 && Time < 10
trigger10 = StateNo = 430 && Time < 10

[State -1]
type = ChangeState
value = 3120
triggerall = !var(59)
triggerall = NumProjID(3100) = 0
triggerall = Power >= 3000
triggerall = command = "HY2_s"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 9
trigger3 = StateNo = 210 && Time < 13
trigger4 = StateNo = 220 && Time < 12
trigger5 = StateNo = 240 && Time < 12
trigger6 = StateNo = 250 && Time < 14
trigger7 = StateNo = 400 && Time < 8
trigger8 = StateNo = 410 && Time < 14
trigger9 = StateNo = 420 && Time < 10
trigger10 = StateNo = 430 && Time < 10

;春一番
[State -1]
type = ChangeState
value = 3200
triggerall = !var(59)
triggerall = Power >= 1000
triggerall = command = "HY3_w"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 9
trigger3 = StateNo = 210 && Time < 13
trigger4 = StateNo = 220 && Time < 12
trigger5 = StateNo = 240 && Time < 12
trigger6 = StateNo = 250 && Time < 14
trigger7 = StateNo = 400 && Time < 8
trigger8 = StateNo = 410 && Time < 14
trigger9 = StateNo = 420 && Time < 10
trigger10 = StateNo = 430 && Time < 10

[State -1]
type = ChangeState
value = 3210
triggerall = !var(59)
triggerall = Power >= 2000
triggerall = command = "HY3_m"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 9
trigger3 = StateNo = 210 && Time < 13
trigger4 = StateNo = 220 && Time < 12
trigger5 = StateNo = 240 && Time < 12
trigger6 = StateNo = 250 && Time < 14
trigger7 = StateNo = 400 && Time < 8
trigger8 = StateNo = 410 && Time < 14
trigger9 = StateNo = 420 && Time < 10
trigger10 = StateNo = 430 && Time < 10

[State -1]
type = ChangeState
value = 3220
triggerall = !var(59)
triggerall = Power >= 3000
triggerall = command = "HY3_s"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 9
trigger3 = StateNo = 210 && Time < 13
trigger4 = StateNo = 220 && Time < 12
trigger5 = StateNo = 240 && Time < 12
trigger6 = StateNo = 250 && Time < 14
trigger7 = StateNo = 400 && Time < 8
trigger8 = StateNo = 410 && Time < 14
trigger9 = StateNo = 420 && Time < 10
trigger10 = StateNo = 430 && Time < 10

;天魔
[State -1]
type = ChangeState
value = 3420
triggerall = !var(59)
triggerall = PalNo = 9 || PalNo = 12
triggerall = NumProjID(3100) = 0
triggerall = Power >= 3000
triggerall = command = "HY2_s"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 9
trigger3 = StateNo = 210 && Time < 13
trigger4 = StateNo = 220 && Time < 12
trigger5 = StateNo = 240 && Time < 12
trigger6 = StateNo = 250 && Time < 14
trigger7 = StateNo = 400 && Time < 8
trigger8 = StateNo = 410 && Time < 14
trigger9 = StateNo = 420 && Time < 10
trigger10 = StateNo = 430 && Time < 10

[State -1]
type = ChangeState
value = 3410
triggerall = !var(59)
triggerall = PalNo = 9 || PalNo = 12
triggerall = NumProjID(3100) = 0
triggerall = Power >= 2000
triggerall = command = "HY2_m"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 9
trigger3 = StateNo = 210 && Time < 13
trigger4 = StateNo = 220 && Time < 12
trigger5 = StateNo = 240 && Time < 12
trigger6 = StateNo = 250 && Time < 14
trigger7 = StateNo = 400 && Time < 8
trigger8 = StateNo = 410 && Time < 14
trigger9 = StateNo = 420 && Time < 10
trigger10 = StateNo = 430 && Time < 10

[State -1]
type = ChangeState
value = 3400
triggerall = !var(59)
triggerall = PalNo = 9 || PalNo = 12
triggerall = NumProjID(3100) = 0
triggerall = Power >= 1000
triggerall = command = "HY2_w"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 9
trigger3 = StateNo = 210 && Time < 13
trigger4 = StateNo = 220 && Time < 12
trigger5 = StateNo = 240 && Time < 12
trigger6 = StateNo = 250 && Time < 14
trigger7 = StateNo = 400 && Time < 8
trigger8 = StateNo = 410 && Time < 14
trigger9 = StateNo = 420 && Time < 10
trigger10 = StateNo = 430 && Time < 10

;============================================
;必殺技
;--------------------------------------------
;阿修羅閃空
[State -1]
type = ChangeState
value = 1500
triggerall = !var(59)
triggerall = PalNo = 9 || PalNo = 12
triggerall = command = "SP5_f1"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8

[State -1]
type = ChangeState
value = 1510
triggerall = !var(59)
triggerall = PalNo = 9 || PalNo = 12
triggerall = command = "SP5_f2"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8

[State -1]
type = ChangeState
value = 1520
triggerall = !var(59)
triggerall = PalNo = 9 || PalNo = 12
triggerall = command = "SP5_b1"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8

[State -1]
type = ChangeState
value = 1530
triggerall = !var(59)
triggerall = PalNo = 9 || PalNo = 12
triggerall = command = "SP5_b2"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8

;咲桜拳
[State -1]
type = ChangeState
value = 1000
triggerall = !var(59)
triggerall = command = "SP1_w"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8

[State -1]
type = ChangeState
value = 1010
triggerall = !var(59)
triggerall = command = "SP1_m"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8

[State -1]
type = ChangeState
value = 1020
triggerall = !var(59)
triggerall = command = "SP1_s"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8

;波動拳
[State -1]
type = ChangeState
value = 1100
triggerall = !var(59)
triggerall = NumProjID(1100) = 0
triggerall = PalNo != 9 && PalNo != 12
triggerall = command = "SP2_w" ||command = "SP2_m" ||command = "SP2_s" 
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8

[State -1]
type = ChangeState
value = 1700
triggerall = !var(59)
triggerall = NumProjID(1100) = 0
triggerall = PalNo = 9 || PalNo = 12
triggerall = command = "SP2_w" 
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8

[State -1]
type = ChangeState
value = 1710
triggerall = !var(59)
triggerall = NumProjID(1100) = 0
triggerall = PalNo = 9 || PalNo = 12
triggerall = command = "SP2_m" 
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8

[State -1]
type = ChangeState
value = 1720
triggerall = !var(59)
triggerall = NumProjID(1100) = 0
triggerall = PalNo = 9 || PalNo = 12
triggerall = command = "SP2_s" 
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8

;春風脚
[State -1]
type = ChangeState
value = 1200
triggerall = !var(59)
triggerall = command = "SP3_w"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8

[State -1]
type = ChangeState
value = 1210
triggerall = !var(59)
triggerall = command = "SP3_m"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8

[State -1]
type = ChangeState
value = 1220
triggerall = !var(59)
triggerall = command = "SP3_s"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8

[State -1]
type = ChangeState
value = 1300
triggerall = !var(59)
triggerall = command = "SP3_w"
triggerall = StateType = A
trigger1 = ctrl

[State -1]
type = ChangeState
value = 1310
triggerall = !var(59)
triggerall = command = "SP3_m"
triggerall = StateType = A
trigger1 = ctrl

[State -1]
type = ChangeState
value = 1320
triggerall = !var(59)
triggerall = command = "SP3_s"
triggerall = StateType = A
trigger1 = ctrl

;さくら落とし
[State -1]
type = ChangeState
value = 1400
triggerall = !var(59)
triggerall = PalNo != 9 && PalNo != 12
triggerall = command = "SP4_w"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8

[State -1]
type = ChangeState
value = 1401
triggerall = !var(59)
triggerall = PalNo != 9 && PalNo != 12
triggerall = command = "SP4_m"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8

[State -1]
type = ChangeState
value = 1402
triggerall = !var(59)
triggerall = PalNo != 9 && PalNo != 12
triggerall = command = "SP4_s"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8

;斬空波動拳
[State -1]
type = ChangeState
value = 1600
triggerall = !var(59)
triggerall = NumProjID(1100) = 0
triggerall = PalNo = 9 || PalNo = 12
triggerall = command = "SP2_w"
triggerall = StateType = A
trigger1 = ctrl

[State -1]
type = ChangeState
value = 1610
triggerall = !var(59)
triggerall = NumProjID(1100) = 0
triggerall = PalNo = 9 || PalNo = 12
triggerall = command = "SP2_m"
triggerall = StateType = A
trigger1 = ctrl

[State -1]
type = ChangeState
value = 1620
triggerall = !var(59)
triggerall = NumProjID(1100) = 0
triggerall = PalNo = 9 || PalNo = 12
triggerall = command = "SP2_s"
triggerall = StateType = A
trigger1 = ctrl

;==========================================================
;投げ
;--------------------------------------------------------
[State -1]
type = ChangeState
value = 800
triggerall =!var(59)
triggerall = command = "PT"
triggerall = statetype = S
trigger1 = ctrl

[State -1]
type = ChangeState
value = 850
triggerall =!var(59)
triggerall = command = "KT"
triggerall = statetype = S
trigger1 = ctrl

[State -1]
type = ChangeState
value = 851
triggerall =!var(59)
triggerall = command = "KT2"
triggerall = statetype = S
trigger1 = ctrl

;------------------------------
;ゼロカウンター
[State -1]
type = ChangeState
value = 2600
triggerall = Power >= 500
triggerall = Command = "ZC"
trigger1 = StateNo = 150
trigger2 = StateNo = 152

;---------------------------------------------------------------------------
;挑発
[State -1]
type = ChangeState
value = 195
triggerall = !var(59)
triggerall = command = "s"
triggerall = statetype = S
trigger1 = ctrl

;---------------------------------
;フラワーキック
[State -1]
type = ChangeState
value = 300
triggerall = !var(59)
triggerall = command = "fwd_b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl 

;---------------------------------------------------------------------------
;立ち弱パンチ
[State -1]
type = ChangeState
value = 200
triggerall = !var(59)
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl 
trigger2 = StateNo = 200 && Time > 6
trigger3 = StateNo = 400 && Time > 5
trigger4 = StateNo = 430 && Time > 7

;---------------------------------------------------------------------------
;立ち中パンチ
[State -1]
type = ChangeState
value = 220
triggerall = !var(59)
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = P2BodyDist X <= 23
trigger1 = statetype = S
trigger1 = ctrl

[State -1]
type = ChangeState
value = 210
triggerall = !var(59)
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
 
;---------------------------------------------------------------------------
;立ち強パンチ
[State -1]
type = ChangeState
value = 240
triggerall = !var(59)
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = P2BodyDist X <= 49
trigger1 = statetype = S
trigger1 = ctrl

[State -1]
type = ChangeState
value = 230
triggerall = !var(59)
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
 
;---------------------------------------------------------------------------
;立ち弱キック
[State -1]
type = ChangeState
value = 250
triggerall = !var(59)
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = StateNo = 200 && Time > 6
trigger3 = StateNo = 400 && Time > 5
trigger4 = StateNo = 430 && Time > 7
 
;--------------------------------------------------------------------------
;立ち中キック
[State -1]
type = ChangeState
value = 260
triggerall = !var(59)
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;立ち強キック
[State -1]
type = ChangeState
value = 280
triggerall = !var(59)
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = P2BodyDist X <= 49
trigger1 = statetype = S
trigger1 = ctrl

[State -1]
type = ChangeState
value = 270
triggerall = !var(59)
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;しゃがみ弱パンチ
[State -1]
type = ChangeState
value = 400
triggerall = !var(59)
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl 
trigger2 = StateNo = 200 && Time > 6
trigger3 = StateNo = 400 && Time > 5
trigger4 = StateNo = 430 && Time > 7

;---------------------------------------------------------------------------
;しゃがみ中パンチ
[State -1]
type = ChangeState
value = 410
triggerall = !var(59)
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl 

;---------------------------------------------------------------------------
;しゃがみ強パンチ
[State -1]
type = ChangeState
value = 420
triggerall = !var(59)
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
;しゃがみ弱キック
[State -1]
type = ChangeState
value = 430
triggerall = !var(59)
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time > 6
trigger3 = StateNo = 400 && Time > 5
trigger4 = StateNo = 430 && Time > 7

;---------------------------------------------------------------------------
;しゃがみ中キック
[State -1]
type = ChangeState
value = 440
triggerall = !var(59)
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl 

;---------------------------------------------------------------------------
;しゃがみ強キック
[State -1]
type = ChangeState
value = 450
triggerall = !var(59)
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl 

;---------------------------------------------------------------------------
;ジャンプ弱パンチ
[State -1]
type = ChangeState
value = 600
triggerall = !var(59)
triggerall = command = "x"
triggerall = statetype = A
trigger1 = ctrl 

;---------------------------------------------------------------------------
;ジャンプ中パンチ
[State -1]
type = ChangeState
value = 610
triggerall = !var(59)
triggerall = command = "y"
triggerall = statetype = A
trigger1 = ctrl
 
;---------------------------------------------------------------------------
;ジャンプ強パンチ
[State -1]
type = ChangeState
value = 620
triggerall = !var(59)
triggerall = command = "z"
triggerall = statetype = A
trigger1 = ctrl
 
;---------------------------------------------------------------------------
;ジャンプ弱キック
[State -1]
type = ChangeState
value = 630
triggerall = !var(59)
triggerall = command = "a"
triggerall = statetype = A
trigger1 = ctrl 

;---------------------------------------------------------------------------
;ジャンプ中キック
[State -1]
type = ChangeState
value = 640
triggerall = !var(59)
triggerall = command = "b"
triggerall = statetype = A
trigger1 = ctrl
 
;---------------------------------------------------------------------------
;ジャンプ強キック
[State -1]
type = ChangeState
value = 650
triggerall = !var(59)
triggerall = command = "c"
triggerall = statetype = A
trigger1 = ctrl 

;---------------------------------------------------------------------------


;---------------------------------------------------------------------------
[State -3, AI起動]
type = VarSet
triggerall =!ishelper
triggerall = stateno!=0&&RoundState = 2||ctrl&&roundstate!=3
trigger1 = Command = "AI0" || Command = "AI1" || Command = "AI2" || Command = "AI3"
trigger2 = Command = "AI4" || Command = "AI5" || Command = "AI6" || Command = "AI7"
trigger3 = Command = "AI8" || Command = "AI9" || Command = "AI10"|| Command = "AI11"
trigger4 = Command = "AI12"|| Command = "AI13"|| Command = "AI14"|| Command = "AI15"
trigger5 = Command = "AI16"|| Command = "AI17"|| Command = "AI18"|| Command = "AI19"
trigger6 = Command = "AI20"|| Command = "AI21"|| Command = "AI22"|| Command = "AI23"
trigger7 = Command = "AI24"|| Command = "AI25"|| Command = "AI26"|| Command = "AI27"
trigger8 = Command = "AI28"|| Command = "AI29"|| Command = "AI30"|| Command = "AI31"
trigger9 = Command = "AI32"|| Command = "AI33"|| Command = "AI34"|| Command = "AI35"
trigger10= Command = "AI36"|| Command = "AI37"|| Command = "AI38"|| Command = "AI39"
trigger11= Command = "AI40"|| Command = "AI41"|| Command = "AI42"|| Command = "AI43"
trigger12= Command = "AI44"|| Command = "AI45"|| Command = "AI46"|| Command = "AI47"
trigger13= Command = "AI48"|| Command = "AI49"|| Command = "AI50"|| Command = "AI51"
trigger14= var(59)>=1
trigger15= numhelper(35)
trigger15= helper(35),var(59)>=1
var(59)  = 1
[State 100000]
type=varset
triggerall=var(59)
trigger1 = roundstate!=2
var(59)=-1

[State -3,常駐ヘルパー]
type = helper
trigger1 = roundstate = 2
trigger1 = !NumHelper(35)
helpertype=normal
name="hourai"
stateno=35
ID=35
pos=0,0
keyctrl=1
pausemovetime=99999999
supermovetime=99999999
persistent = 0
;---------------------------------------------------------------------------
;ガード
[State 100000]
type=varset
triggerall=var(59)=1
Triggerall = NumHelper(35)
trigger1=inguarddist
trigger2=p2bodydist X=[-80,60]
trigger2=p2movetype=A
trigger2=p2stateno>=200
trigger2=p2statetype=A
trigger3=p2stateno=var(45)||p2stateno=var(46)
trigger3=p2stateno=[200,4999]
trigger3=inguarddist
trigger4=Helper(35),var(49)&&Helper(35),var(56)>=Helper(35),var(49)
var(59)=2
ignorehitpause = 1
[State -3,crouch]
type = VarSet
triggerall = var(59) = [2,4]
triggerall = statetype!=A
trigger1 = p2statetype=C
trigger2 = p2statetype=S
trigger2 = enemynear,time < 15
var(59) = 4
ignorehitpause = 1
[State -3,stand]
type = VarSet
triggerall = var(59)
triggerall = var(59) = [2,4]
triggerall = statetype!=A
trigger1 = p2statetype =A
trigger2 = p2statetype=S
trigger2 = stateno=[120,155]
trigger2 = enemynear,time >= 15;発生の遅い攻撃に対して切り替える
trigger2 = enemynear,moveguarded=0
trigger2 = enemynear,movetype=A
var(59) = 3
ignorehitpause = 1


[State 100000]
type=varset
triggerall=var(59)=[3,4]
Triggerall = NumHelper(35)
triggerall = p2stateno!=0
trigger1 = p2stateno=Helper(35),var(41)
trigger2 = p2stateno=Helper(35),var(42)
trigger3 = p2stateno=Helper(35),var(43)
trigger4 = p2stateno=Helper(35),var(44)
var(59)=ifelse(var(40)=3,4,3)


[State -3,COUNTER]
type = VarSet
triggerall = var(59)=[2,4]
Triggerall = NumHelper(35)
triggerall = statetype!=A
trigger1 = EnemyNear,HitDefAttr = SCA, NT, ST, HT
trigger2 = p2stateno=Helper(35),var(47)||p2stateno=Helper(35),var(48)
var(59) = 5
ignorehitpause = 1


;p2nameでの対応
[State -3,crouch]
type = VarSet
triggerall = var(59)=[2,4]
trigger1=enemynear,authorname = "mikage_th105"&&p2name="Komachi Onoduka"
trigger1=(p2stateno = [220,221])||p2stateno =701||p2stateno=1100
trigger2=enemynear,authorname = "mikage_th105"&&p2name="Remilia Scarlet"
trigger2=p2stateno=401
trigger3=enemynear,authorname = "mikage_th105"&&p2name="Youmu Konpaku"
trigger3=p2stateno=202||p2stateno=702||(p2stateno=[860,861])
trigger4=enemynear,authorname = "mikage_th105"&&p2name="Aya Syameimaru"
trigger4=(p2stateno=[401,403])
trigger5=enemynear,authorname = "mikage_th105"&&p2name="Meiling Hong"
trigger5=p2stateno=701
trigger6=enemynear,authorname = "mikage_th105"&&p2name="Alice Margatroid"
trigger6=p2stateno=702
trigger7=enemynear,authorname = "mikage_th105"&&p2name="Marisa Kirisame"
trigger7=0
var(59) = 4
ignorehitpause = 1

[State -3,stand]
type = VarSet
triggerall = var(59)=[2,4]
trigger1=enemynear,authorname = "mikage_th105"&&p2name="Komachi Onoduka"
trigger1= (p2stateno =[401,402])||(p2stateno = [201,204])||p2stateno=1101||p2stateno=1400||p2stateno=1450
trigger2=enemynear,authorname = "mikage_th105"&&p2name="Remilia Scarlet"
trigger2=(p2stateno=[201,203])||(p2stateno=[220,221])
trigger3=enemynear,authorname = "mikage_th105"&&p2name="Youmu Konpaku"
trigger3=p2stateno=201||(p2stateno=[203,204])||(p2stateno=[220,221])||(p2stateno=[700,701])||p2stateno=703||p2stateno=1150
trigger4=enemynear,authorname = "mikage_th105"&&p2name="Aya Syameimaru"
trigger4=(p2stateno=[201,203])||(p2stateno=[707,708])||(p2stateno=[700,701])
trigger5=enemynear,authorname = "mikage_th105"&&p2name="Meiling Hong"
trigger5=(p2stateno=[201,205])||(p2stateno=[220,221])||p2stateno=700||(p2stateno=[810,811])||p2stateno=1200||p2stateno=1350
trigger6=enemynear,authorname = "mikage_th105"&&p2name="Alice Margatroid"
trigger6=(p2stateno=[201,206])||p2stateno=401||p2stateno=250||(p2stateno=[700,701])
trigger7=enemynear,authorname = "mikage_th105"&&p2name="Marisa Kirisame"
trigger7=(p2stateno=[201,204])||(p2stateno=[220,221])
var(59) = 3
ignorehitpause = 1
[State -3,stand]
type = VarSet
triggerall = var(59)=[2,4]
trigger1 = p2name ="Hikaru Shidou"
trigger1 = p2stateno = 1102||p2stateno=1112
trigger2 = p2Name = "Kotiya_Sanae"
trigger2 = p2stateno=1155||p2stateno=410||p2stateno=[210,211]
var(59) = 3
ignorehitpause = 1


;ガードしないフラグ（6以降はあくまでおまけのつもり）
;5 設置等で固まる不具合の対処枠
;6 バクステで対処可能
;7 バクステで対処できない
;8 ガード硬直中や終わり1Fを投げる問題児対策（ガーキャンぐらいしか無理だが）
[State -3,COUNTER]
type = VarSet
triggerall = var(59)=[2,4]
trigger1 = EnemyNear,HitDefAttr = SCA, NT, ST, HT
trigger2 = p2name = "cvsmika" &&p2stateno = 1200
var(59) = 6
ignorehitpause = 1

[State -3,COUNTER]
type = VarSet
triggerall = var(59)=[2,4]
trigger1 = p2name = "cvsg_rugal"&&p2stateno = 1700
trigger2 = p2Name = "Misaki Kawana"
trigger2 = p2stateno = 6200 ||p2stateno = 6210 ||p2stateno = 6220
trugger3 = p2name = "saya"&&p2stateno = 2200
var(59) = 7+((stateno=[120,155])&&!ctrl)
ignorehitpause = 1

;ガード解除
[State 100000]
type=varset
triggerall=var(59)=[2,4]
trigger1=!inguarddist
trigger1=p2dist X>0
trigger1=p2statetype!=A
trigger2=p2movetype!=A&&p2dist X !=[-100,60]
trigger1=p2statetype=A
var(59)=1
ignorehitpause = 1

;------------------------------------------------------------------------------



[State -1]
type = ChangeState
value = 3210
triggerall = var(59)
triggerall = Power >= 2000
trigger1 = p2statetype!=A&&p2statetype!=L
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger1 = p2bodydist X <= 45
trigger1 = random < 80
trigger1 = p2movetype=A
trigger1 = enemynear,animtime < -8


;しゃがみ弱キック
[State -1]
type = ChangeState
value = 200
triggerall = roundstate = 2
triggerall = var(59)
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = p2bodydist X < 45
trigger1 = p2statetype!=A&&p2statetype!=L
trigger1 = enemynear,animtime = -3&&p2movetype=A


[State -1]
type = ChangeState
value = 440
triggerall = roundstate = 2
triggerall = var(59)
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = p2bodydist X =[45,80]
trigger1 = p2statetype!=A&&p2statetype!=L
trigger1 = enemynear,animtime = -5&&p2movetype=A


;---------------------------------------------------------------------------
[State -1,]
type = ChangeState
value = 120
triggerall = roundstate = 2
triggerall = var(59) = [2,4]
trigger1 = ctrl
[State -1, Run Back]
type = ChangeState
value = 105
triggerall = var(59)
trigger1 = statetype != A
trigger1 = backedgedist > 50
trigger1 = var(59)=6
;------------------------------------------------------------------------------


[State -1]
type = ChangeState
value = 21
triggerall = roundstate = 2
triggerall = var(59)
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = p2bodydist X >50
trigger1 = stateno=22&&time>10||stateno !=[21,22]
trigger1 = random < 200
[State -1]
type = ChangeState
value = 22
triggerall = roundstate = 2
triggerall = var(59)
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = p2bodydist X <110
trigger1 = stateno=21&&time>10||stateno !=[21,22]
trigger1 = p2movetype!=H
trigger1 = random > 800


;---------------------------------------------------------------------------



[State -1]
type = ChangeState
value = 0
triggerall = roundstate = 2
triggerall =var(59)
triggerall = statetype != A&&stateno = 40
trigger1 = p2bodydist X < 70||p2bodydist X > 150
trigger2 = p2movetype=H
trigger3 = random < 100&&time = 1
ctrl = 1


;真空波動
[State -1]
type = ChangeState
value = 3100
triggerall = var(59)
triggerall = NumProjID(3100) = 0
triggerall = Power >= 3000
triggerall = PalNo != 9 && PalNo != 12
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger1 = p2statetype!=A&&p2statetype!=L
trigger1 = random < 5
trigger1 = !inguarddist
trigger1 = p2bodydist X = [50,130]


[State -1]
type = ChangeState
value = 850
triggerall = roundstate = 2
triggerall =var(59)
triggerall = statetype != A
trigger1 = ctrl
trigger1 = p2bodydist X=[0,20]
trigger1 = p2movetype!=H
trigger1 = random < 400
trigger1 = frontedgedist < 70
trigger1 = p2statetype!=A&&p2statetype!=L

[State -1]
type = ChangeState
value = 800
triggerall = roundstate = 2
triggerall =var(59)
triggerall = statetype != A
trigger1 = ctrl
trigger1 = p2bodydist X =[0,20]
trigger1 = p2movetype!=H
trigger1 = random < 200
trigger1 = !inguarddist
trigger1 = p2statetype!=A&&p2statetype!=L

;春獄殺						Ｌｖ３　　専用
[State -1]
type = ChangeState
value = 3500
triggerall = var(59)
triggerall = PalNo = 9 || PalNo = 12
;triggerall = Power >= 3000
triggerall = random > 900&&p2bodydist X < 50&&p2statetype!=A&&p2movetype=A
triggerall = !StateType = A
trigger1 = StateNo = 52 || (StateNo = [200,300]) || (StateNo = [400,450])
trigger2 = Ctrl = 1


[State -1]
type = ChangeState
value = 3010
triggerall = roundstate = 2
triggerall = var(59)
triggerall = Power >= 2000
triggerall = statetype = S || StateType = C
triggerall = p2movetype=A&&enemynear,time < 10&&enemynear,animtime < -12
triggerall = p2statetype!=A
triggerall = p2bodydist X < 60
triggerall = random < 50+100*(life<500)
trigger1 = ctrl


;乱れ桜
[State -1]
type = ChangeState
value = 3000
triggerall = roundstate = 2
triggerall = var(59)
triggerall = Power >= 1000
triggerall = statetype = S || StateType = C
trigger1 = StateNo = 430 && Time < 10&&movehit
trigger1 = p2bodydist X < 45



;---------------------------------------------------------------------------
;立ち強キック
[State -1]
type = ChangeState
value = 280
triggerall = roundstate = 2
triggerall = var(59)
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = p2statetype=A&&enemynear,gethitvar(fall) = 0
trigger1 = random < 500
trigger1 = p2statetype=A&&(p2bodydist X-(enemynear,vel X* 8)) = [20, 49]
Trigger1 =(p2bodydist Y+(enemyNear,vel Y* 8 +enemyNear,gethitvar(yaccel)* 36)*(P2StateType=A&&EnemyNear,Vel Y!=0))=[-75, -40]




;---------------------------------------------------------------------------
;しゃがみ強パンチ
[State -1]
type = ChangeState
value = 420
triggerall = roundstate = 2
triggerall = var(59)
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = enemynear,gethitvar(fall) = 0
trigger1 = p2statetype=A&&(p2bodydist X-(enemynear,vel X* 8)) = [-5, 20]
Trigger1 =(p2bodydist Y+(enemyNear,vel Y* 8 +enemyNear,gethitvar(yaccel)* 36)*(P2StateType=A&&EnemyNear,Vel Y!=0))=[-70, -25]




;咲桜拳
[State -1]
type = ChangeState
value = 1000
triggerall = 0;!var(59)
triggerall = command = "SP1_w"
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger2 = StateNo = 200 && Time < 7
trigger3 = StateNo = 210 && Time < 11
trigger4 = StateNo = 220 && Time < 10
trigger5 = StateNo = 240 && Time < 10
trigger6 = StateNo = 250 && Time < 12
trigger7 = StateNo = 400 && Time < 6
trigger8 = StateNo = 410 && Time < 12
trigger9 = StateNo = 420 && Time < 8
trigger10 = StateNo = 430 && Time < 8


;---------------------------------------------------------------------------
;ジャンプ強パンチ
[State -1]
type = ChangeState
value = 620
triggerall = roundstate = 2
triggerall = var(59)
triggerall = statetype = A
trigger1 = ctrl
trigger1 = p2statetype!=A
trigger1 = vel Y > 3
trigger1 = p2bodydist X = [0,65]
;ジャンプ強キック
[State -1]
type = ChangeState
value = 650
triggerall = roundstate = 2
triggerall = var(59)
triggerall = statetype = A
trigger1 = ctrl 
trigger1 = p2bodydist Y > 0
trigger1 = p2statetype=A
trigger1 = p2bodydist X < 70
;ジャンプ中キック
[State -1]
type = ChangeState
value = 640
triggerall = roundstate = 2
triggerall = var(59)
triggerall = statetype = A
trigger1 = ctrl
trigger1 = p2statetype=A
trigger1 = p2bodydist X < 70

;斬空波動拳
[State -1]
type = ChangeState
value = 1600
;triggerall = var(59)
triggerall = NumProjID(1100) = 0
triggerall = PalNo = 9 || PalNo = 12
triggerall = StateType = A
trigger1 = ctrl
trigger1 = vel X <=0
trigger1 = vel Y <1

;---------------------------------------------------------------------------
 

;---------------------------------------------------------------------------
;立ち強パンチ
[State -1]
type = ChangeState
value = 240
triggerall = roundstate = 2
triggerall = var(59)
triggerall = p2stateno !=[120,155]
triggerall = P2BodyDist X <= 49
triggerall = ctrl&&statetype!=A
trigger1 = enemynear,gethitvar(hittime) = 7
trigger1 = p2statetype!=A&&p2statetype!=L


;---------------------------------
;フラワーキック〜主に起き攻めで持続重ね
[State -1]
type = ChangeState
value = 300
triggerall = roundstate = 2
triggerall = var(59)
triggerall = p2bodydist X < 60
trigger1 = p2stateno = 5120&&enemynear,animtime = -24
triggerall = statetype != A
triggerall = ctrl 
trigger2 = p2stateno = [120,155]
trigger2 = prevstateno = 52
trigger2 = random < 80
;しゃがみ弱キック
[State -1]
type = ChangeState
value = 430
triggerall = roundstate = 2
triggerall = var(59)
triggerall = ctrl&&statetype!=A
trigger1 = enemynear,gethitvar(hittime) = 4
trigger1 = p2bodydist X < 50



;---------------------------------------------------------------------------
;立ち弱キック
[State -1]
type = null;ChangeState
value = 250
triggerall = roundstate = 2
triggerall = var(59)
trigger1 = StateNo = 430 && Time > 7
trigger1 = moveguarded

[State -1]
type = ChangeState
value = 1010
triggerall = roundstate = 2
triggerall = var(59)
triggerall = statetype = S || StateType = C
trigger1 = StateNo = 430 && Time < 8&&movehit
trigger1 = p2bodydist X =[20,40]
trigger2 = (stateno = [200,210])&&movehit
[State -1]
type = ChangeState
value = 430
triggerall = roundstate = 2
triggerall = var(59)
trigger1 = StateNo = 430 && Time > 7
trigger1 = movehit&&p2bodydist X < 30

;---------------------------------------------------------------------------
;しゃがみ弱キック
[State -1]
type = ChangeState
value = 430
triggerall = roundstate = 2
triggerall = var(59)
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = p2bodydist X < 50
trigger1 = p2statetype!=A&&p2statetype!=L
trigger1 = random < 350&&p2movetype!=H

[State -1]
type = ChangeState
value = 210
triggerall = roundstate = 2
triggerall = var(59)
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = p2bodydist X < 55
trigger1 = p2statetype!=A&&p2statetype!=L
trigger1 = random > 900&&p2movetype!=H

;---------------------------------------------------------------------------
;しゃがみ強キック
[State -1]
type = ChangeState
value = 450
triggerall = roundstate = 2
triggerall = var(59)
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = p2bodydist X < 90
trigger1 = p2statetype!=A&&p2statetype!=L
trigger1 = random < 100&&p2movetype!=H

[State -1]
type = ChangeState
value = 270
triggerall = roundstate = 2
triggerall = var(59)
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = p2bodydist X < 110
trigger1 = p2statetype!=A&&p2statetype!=L
trigger1 = random < 100&&p2movetype!=H


;波動拳
[State -1]
type = ChangeState
value = 1100
triggerall = roundstate = 2
triggerall = var(59)
triggerall = NumProjID(1100) = 0
triggerall = PalNo != 9 && PalNo != 12
triggerall = statetype = S || StateType = C
trigger1 = ctrl
trigger1 = p2bodydist X < 250
trigger1 = random < 70&&p2movetype!=H
trigger1 = p2statetype!=A&&p2statetype!=L
trigger1 = !inguarddist
trigger2 = StateNo = 250 && Time < 7&&moveguarded


[State -1]
type = ChangeState
value = 1020
triggerall = roundstate = 2
triggerall = var(59)
triggerall = statetype = S || StateType = C
trigger1 = StateNo = 240 && Time < 10&&movehit





[State -1]
type = ChangeState
value = 210
triggerall = 0;var(59)
triggerall = P2BodyDist X > 23
trigger1 = statetype != A
trigger1 = ctrl



;------------------------------------------------------------------------------
[State -1,]
type = null;ChangeState
value = 0
triggerall = roundstate = 2
triggerall = var(59)
trigger1 = stateno = 40
ctrl = 1
[State 5050, 4] ;Recover near ground
type = ChangeState
triggerall = var(59)
triggerall = stateno = 5050
triggerall = Vel Y > 0
triggerall = Pos Y >= -20
triggerall = alive
trigger1 = CanRecover
value = 5200 ;HITFALL_RECOVER
[State 5050, 5]; Recover in mid air
type = selfstate
triggerall = var(59)
triggerall = stateno = 5050
triggerall = vel y > -1
triggerall = alive
trigger1 = CanRecover
value = 5210
[State -1,]
type = ChangeState
value = prevstateno
triggerall = roundstate = 2
triggerall = var(59)
trigger1 = stateno= 10
trigger1 = prevstateno = 100||prevstateno = [20,23]
ctrl = 1
;---------------------------------------------------------------------------
;AI待機ステート（立ち、しゃがみ、前進）
[Statedef 9]
type = S
physics = S
sprpriority = 0
ctrl=0
[State 0, 1]
type = ChangeAnim
trigger1 = Anim != 0 && Anim != 5
trigger2 = Anim = 5 && AnimTime = 0 ;Turn anim over
value = 0
[State 0, 2]
type = VelSet
trigger1 = Time = 0
y = 0
[State 0, 3] ;Stop moving if low velocity or 4 ticks pass
type = VelSet
trigger1 = abs(vel x) < 2
trigger2 = Time = 4
x = 0
[State 0, 4] ;Are you dead?
type = ChangeState
trigger1 = !alive
value = 5050

[Statedef 15]
type    = C
physics = C
anim = 11
sprpriority = 0
ctrl = 0
[State 11, 1] ;Change from turning animation
type = ChangeAnim
trigger1 = Anim = 6 && AnimTime = 0
value = 11
[Statedef 23]
type    = S
physics = S
sprpriority = 0
ctrl=0
[State 20, 1]
type = VelSet
trigger1 = 1
x = const(velocity.walk.fwd.x)
[State 20, 3]
type = ChangeAnim
triggerall = vel x > 0
trigger1 = Anim != 20 && Anim != 5
trigger2 = Anim = 5 && AnimTime = 0
value = 20
[State 20, 4]
type = ChangeAnim
triggerall = vel x < 0
trigger1 = Anim != 21 && Anim != 5
trigger2 = Anim = 5 && AnimTime = 0
value = 21

;---------------------------------------------------------------------------
;AI用基本ステート（歩き、ジャンプ、ガード）
[Statedef 21]
type    = S
physics = S
sprpriority = 0
ctrl=1
[State 20, 1]
type = VelSet
trigger1 = 1
x = const(velocity.walk.fwd.x)
[State 20, 3]
type = ChangeAnim
triggerall = vel x > 0
trigger1 = Anim != 20 && Anim != 5
trigger2 = Anim = 5 && AnimTime = 0
value = 20

[State 20, 4]
type = ChangeAnim
triggerall = vel x < 0
trigger1 = Anim != 21 && Anim != 5
trigger2 = Anim = 5 && AnimTime = 0
value = 21
[Statedef 22]
type    = S
physics = S
sprpriority = 0
ctrl=1
[State 20, 2]
type = VelSet
trigger1 = 1
x = const(velocity.walk.back.x)
[State 20, 3]
type = ChangeAnim
triggerall = vel x > 0
trigger1 = Anim != 20 && Anim != 5
trigger2 = Anim = 5 && AnimTime = 0
value = 20
[State 20, 4]
type = ChangeAnim
triggerall = vel x < 0
trigger1 = Anim != 21 && Anim != 5
trigger2 = Anim = 5 && AnimTime = 0
value = 21


[Statedef 120]
type = U    ;Leave state type unchanged
physics = U ;Leave physics unchanged
[State 120, 1]
type = ChangeAnim
trigger1 = Time = 0
value = 120 + (statetype = C) + (statetype = A)*2
[State 120, 4]
type = StateTypeSet
trigger1 = Time = 0 && statetype = A
physics = A
[State 120, Hi to Lo]
type = StateTypeSet
trigger1 = Time = 0 && statetype = C
trigger2 = var(59) = 0
trigger2 = statetype = S && command = "holddown"
trigger3 = statetype !=A
trigger3 = var(59) = 4
statetype = C
physics = C
[State 120, Lo to Hi]
type = StateTypeSet

trigger1 = Time = 0 && statetype = S
trigger2 = var(59) = 0
trigger2 = statetype = C && command != "holddown"
trigger3 = statetype !=A
trigger3 = var(59) = 3
statetype = S
physics = S
[State 120, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 130 + (statetype = C) + (statetype = A)*2
[State 120, Stop Guarding]
type = ChangeState
trigger1 = var(59) = 0
trigger1 = command != "holdback" || !inguarddist
trigger2 = var(59)
trigger2 = var(59) !=[2,4]
value = 140
[Statedef 130]
type    = S
physics = S
[State 130, 1]
type = ChangeAnim
trigger1 = Anim != 130
value = 130
[State 130, Hi to Lo]
type = ChangeState
trigger1 = command = "holddown"
trigger1 = var(59) = 0
trigger2 = var(59) = 4
value = 131
[State 130, Stop Guarding]
type = ChangeState
trigger1 = var(59) = 0
trigger1 = command != "holdback" || !inguarddist
trigger2 = var(59)
trigger2 = var(59) !=[2,4]
value = 140
[Statedef 131]
type    = C
physics = C
[State 131, 1]
type = ChangeAnim
trigger1 = Anim != 131
value = 131
[State 131, Lo to Hi]
type = ChangeState
trigger1 = command != "holddown"
trigger1 = var(59) = 0
trigger2 = var(59) = 3
value = 130
[State 131, Stop Guarding]
type = ChangeState
trigger1 = var(59) = 0
trigger1 = command != "holdback" || !inguarddist
trigger2 = var(59)
trigger2 = var(59) !=[2,4]
value = 140
[Statedef 140]
type = U    ;Leave state type unchanged
physics = U ;Leave physics unchanged
ctrl = 1
[State 140, 1]
type = ChangeAnim
trigger1 = Time = 0
value = 140 + (statetype = C) + (statetype = A)*2
[State 140, 4]
type = StateTypeSet
trigger1 = Time = 0 && statetype = A
physics = A
[State 120, Hi to Lo]
type = StateTypeSet
trigger1 = Time = 0 && statetype = C
trigger2 = var(59) = 0
trigger2 = statetype = S && command = "holddown"
trigger3 = statetype !=A
trigger3 = var(59) = 4
statetype = C
physics = C
[State 120, Lo to Hi]
type = StateTypeSet
trigger1 = Time = 0 && statetype = S
trigger2 = var(59) = 0
trigger2 = statetype = C && command != "holddown"
trigger3 = statetype !=A
trigger3 = var(59) = 3
statetype = S
physics = S
[Statedef 150]
type    = S
movetype= H
physics = N
velset = 0,0
[State 150, 1]
type = ChangeAnim
trigger1 = 1
value = 150
[State 152, 3]
type = ChangeState
trigger1 = var(59) = 0
trigger1 = HitShakeOver
value = 151 + 2*(command = "holddown")
[State 152, 3]
type = ChangeState
trigger1 = var(59) > 0
trigger1 = HitShakeOver
value = 151
[State 120, Hi to Lo]
type = StateTypeSet
trigger1 = Time = 0 && statetype = C
trigger2 = var(59) = 0
trigger2 = statetype = S && command = "holddown"
trigger3 = statetype !=A
trigger3 = var(59) = 4
statetype = C
physics = C
[State 120, Lo to Hi]
type = StateTypeSet
trigger1 = Time = 0 && statetype = S
trigger2 = var(59) = 0
trigger2 = statetype = C && command != "holddown"
trigger3 = statetype !=A
trigger3 = var(59) = 3
statetype = S
physics = S
[State 150, 3]
type = ForceFeedback
trigger1 = time = 0
waveform = square
time = 3
[Statedef 151]
type    = S
movetype= H
physics = S
anim = 150
[State 151, 1]
type = HitVelSet
trigger1 = Time = 0
x = 1
[State 151, 2]
type = VelSet
trigger1 = Time = GetHitVar(slidetime)
trigger2 = HitOver
x = 0

[State 151, 3]
type = CtrlSet
trigger1 = Time = GetHitVar(ctrltime)
value = 1
[State 120, Hi to Lo]
type = StateTypeSet
trigger1 = Time = 0 && statetype = C
trigger2 = var(59) = 0
trigger2 = statetype = S && command = "holddown"
trigger3 = statetype !=A
trigger3 = var(59) = 4
statetype = C
physics = C
[State 120, Lo to Hi]
type = StateTypeSet
trigger1 = Time = 0 && statetype = S
trigger2 = var(59) = 0
trigger2 = statetype = C && command != "holddown"
trigger3 = statetype !=A
trigger3 = var(59) = 3
statetype = S
physics = S
[State 151, 4]
type = ChangeState
trigger1 = HitOver
value = 130
ctrl = 1
[Statedef 152]
type    = C
movetype= H
physics = N
velset = 0,0
[State 152, 1]
type = ChangeAnim
trigger1 = 1
value = 151
[State 152, 3]
type = ChangeState
trigger1 = var(59) = 0
trigger1 = HitShakeOver
value = 151 + 2*(command = "holddown")
[State 152, 3]
type = ChangeState
trigger1 = var(59) > 0
trigger1 = HitShakeOver
value = 153
[State 120, Hi to Lo]
type = StateTypeSet
trigger1 = Time = 0 && statetype = C
trigger2 = var(59) = 0
trigger2 = statetype = S && command = "holddown"
trigger3 = statetype !=A
trigger3 = var(59) = 4
statetype = C
physics = C
[State 120, Lo to Hi]
type = StateTypeSet
trigger1 = Time = 0 && statetype = S
trigger2 = var(59) = 0
trigger2 = statetype = C && command != "holddown"
trigger3 = statetype !=A
trigger3 = var(59) = 3
statetype = S
physics = S
[State 152, 4]
type = ForceFeedback
trigger1 = time = 0
waveform = square
time = 4
[Statedef 153]
type    = C
movetype= H
physics = C
anim = 151
[State 153, 1]
type = HitVelSet
trigger1 = Time = 0
x = 1
[State 153, 2]
type = VelSet
trigger1 = Time = GetHitVar(slidetime)
trigger2 = HitOver
x = 0
[State 153, 3]
type = CtrlSet
trigger1 = Time = GetHitVar(ctrltime)
value = 1
[State 120, Hi to Lo]
type = StateTypeSet
trigger1 = Time = 0 && statetype = C
trigger2 = var(59) = 0
trigger2 = statetype = S && command = "holddown"
trigger3 = statetype !=A
trigger3 = var(59) = 4
statetype = C
physics = C
[State 120, Lo to Hi]
type = StateTypeSet
trigger1 = Time = 0 && statetype = S
trigger2 = var(59) = 0
trigger2 = statetype = C && command != "holddown"
trigger3 = statetype !=A
trigger3 = var(59) = 3
statetype = S
physics = S
[State 153, 4]
type = ChangeState
trigger1 = HitOver
value = 131
ctrl = 1
;---------------------------------------------------------------------------
[StateDef 35]
physics=N
ctrl=0


[State 100000]
type=varset
trigger1 = root,name ="Hikaru Shidou"
var(10)=1


;===========================================================================
;var(10)=1~9 当身用、処理が1F遅れるため
;実際はenemynear,time=enemynear,stateno=var(22)-(発生＋1)

[State 100000]
type=varset
triggerall = var(10)=[1,9]
trigger1 = root,p2dist X=[0,160]
trigger1 = enemynear,movetype=A
trigger1 = enemynear,prevstateno <= 115
trigger1 = enemynear,HitDefAttr = SCA,NA,SA
var(20)=1

[State 100000]
type=varset
triggerall = var(10)=[1,9]
triggerall=enemynear,stateno!=var(21)
triggerall=enemynear,stateno!=var(23)
triggerall=enemynear,stateno!=var(25)
triggerall=enemynear,stateno!=var(27)
triggerall=enemynear,stateno!=var(29)
triggerall=enemynear,stateno!=var(31)
trigger1 = var(20)
trigger1 = var(22)
trigger1 = var(24)
trigger1 = var(26)
trigger1 = var(28)
trigger1 = var(30)
trigger1 = var(32)
trigger1 = !var(33)
trigger1 = root,movetype=H
var(33)=enemynear,stateno
[State 100000]
type=varset
triggerall = var(10)=[1,9]
trigger1 = var(23)
trigger1 = var(25)
trigger1 = var(27)
trigger1 = var(29)
trigger1 = var(31)
trigger1 = var(23)
trigger1 = !var(34)
var(34)=(enemynear,time)
[State 100000]
type=varset
triggerall = var(10)=[1,9]
triggerall=enemynear,stateno!=var(21)
triggerall=enemynear,stateno!=var(23)
triggerall=enemynear,stateno!=var(25)
triggerall=enemynear,stateno!=var(27)
triggerall=enemynear,stateno!=var(29)
trigger1 = var(20)
trigger1 = var(22)
trigger1 = var(24)
trigger1 = var(26)
trigger1 = var(26)
trigger1 = var(28)
trigger1 = var(30)
trigger1 = !var(31)
trigger1 = root,movetype=H
var(31)=enemynear,stateno
[State 100000]
type=varset
triggerall = var(10)=[1,9]
trigger1 = var(23)
trigger1 = var(25)
trigger1 = var(27)
trigger1 = var(29)
trigger1 = var(31)
trigger1 = !var(32)
var(32)=(enemynear,time)

[State 100000]
type=varset
triggerall = var(10)=[1,9]
triggerall=enemynear,stateno!=var(21)
triggerall=enemynear,stateno!=var(23)
triggerall=enemynear,stateno!=var(25)
triggerall=enemynear,stateno!=var(27)
trigger1 = var(20)
trigger1 = var(22)
trigger1 = var(24)
trigger1 = var(26)
trigger1 = var(26)
trigger1 = var(28)
trigger1 = !var(29)
trigger1 = root,movetype=H
var(29)=enemynear,stateno
[State 100000]
type=varset
triggerall = var(10)=[1,9]
trigger1 = var(23)
trigger1 = var(25)
trigger1 = var(27)
trigger1 = var(29)
trigger1 = !var(30)
var(30)=(enemynear,time)



[State 100000]
type=varset
triggerall = var(10)=[1,9]
triggerall=enemynear,stateno!=var(21)
triggerall=enemynear,stateno!=var(23)
triggerall=enemynear,stateno!=var(25)
trigger1 = var(20)
trigger1 = var(22)
trigger1 = var(24)
trigger1 = var(26)
trigger1 = !var(27)
trigger1 = root,movetype=H
var(27)=enemynear,stateno
[State 100000]
type=varset
triggerall = var(10)=[1,9]
trigger1 = var(23)
trigger1 = var(25)
trigger1 = var(27)
trigger1 = !var(28)
var(28)=(enemynear,time)


[State 100000]
type=varset
triggerall = var(10)=[1,9]
triggerall=enemynear,stateno!=var(21)
triggerall=enemynear,stateno!=var(23)
trigger1 = var(20)
trigger1 = var(22)
trigger1 = var(24)
trigger1 = !var(25)
trigger1 = root,movetype=H
var(25)=enemynear,stateno
[State 100000]
type=varset
triggerall = var(10)=[1,9]
trigger1 = var(23)
trigger1 = var(25)
trigger1 = !var(26)
var(26)=(enemynear,time)


[State 100000]
type=varset
triggerall = var(10)=[1,9]
triggerall=enemynear,stateno!=var(21)
trigger1 = var(20)
trigger1 = var(22)
trigger1 = !var(23)
trigger1 = root,movetype=H
var(23)=enemynear,stateno
[State 100000]
type=varset
triggerall = var(10)=[1,9]
trigger1 = var(23)
trigger1 = !var(24)
var(24)=(enemynear,time)
[State 100000]
type=varset
triggerall = var(10)=[1,9]
trigger1 = var(20)
trigger1 = !var(21)
trigger1 = root,movetype=H
;trigger1 = root,stateno!=[120,155]
var(21)=enemynear,stateno
[State 100000]
type=varset
triggerall = var(10)=[1,9]
trigger1 = var(21)
trigger1 = !var(22)
;trigger2 = var(20)
;trigger2 = enemynear,stateno=var(21)
;trigger2 = enemynear,time < var(22)
;trigger2 = root,movetype=H
;trigger2 = enemynear,prevstateno <= 115
var(22)=(enemynear,time)

;1F技は無効
[State 100000]
type=varset
triggerall = var(10)=[1,9]
trigger1 = !var(28)
var(27)=0
[State 100000]
type=varset
triggerall = var(10)=[1,9]
trigger1 = var(28) = 1
var(28)=0
[State 100000]
type=varset
triggerall = var(10)=[1,9]
trigger1 = !var(26)
var(25)=0
[State 100000]
type=varset
triggerall = var(10)=[1,9]
trigger1 = var(26) = 1
var(26)=0
[State 100000]
type=varset
triggerall = var(10)=[1,9]
trigger1 = !var(24)
var(23)=0
[State 100000]
type=varset
triggerall = var(10)=[1,9]
trigger1 = var(24) = 1
var(24)=0
[State 100000]
type=varset
triggerall = var(10)=[1,9]
trigger1 = !var(22)
var(21)=0
[State 100000]
type=varset
triggerall = var(10)=[1,9]
trigger1 = var(22) = 1
var(22)=0

;===========================================================================
;var(10)=5~9 ステージ端記憶（変数36-39)

[State -3,画面端前]
type = helper
triggerall = var(10)=[5,9]
trigger1 = roundstate = 2
trigger1 = !NumHelper(110000)
trigger1 = !var(36)
helpertype=normal
name="mae"
stateno=110000
ID=110000
keyctrl=0
pausemovetime=99999999
supermovetime=99999999
persistent = 0
[State -3,画面端後ろ]
type = helper
triggerall = var(10)=[5,9]
trigger1 = roundstate = 2
trigger1 = !NumHelper(120000)
trigger1 = !var(37)
helpertype=normal
name="usiro"
stateno=120000
ID=120000
keyctrl=0
pausemovetime=99999999
supermovetime=99999999
persistent = 0
[State 100000]
type = turn
triggerall = var(10)=[5,9]
trigger1=facing=root,facing=0
trigger1=!var(36)&&!var(37)
[State 100000]
type=varset
triggerall = var(10)=[5,9]
trigger1= numhelper(110000)
var(38) = ceil(helper(110000),rootdist X)
[State 100000]
type=varset
triggerall = var(10)=[5,9]
trigger1=numhelper(120000)
var(39) = ceil(helper(120000),rootdist X)
[State 100000]
type=varset
trigger1 = var(10)=[5,9]
var(36)=ifelse((rootdist X < p2dist X),ceil(var(38)+(rootdist X))*(ifelse(root,facing=0,1,-1)),ceil(var(39)+(rootdist X))*(ifelse(root,facing=0,-1,1)))
[State 100000]
type=varset
trigger1 = var(10)=[5,9]
var(37)=ifelse((rootdist X < p2dist X),ceil(var(39)+(rootdist X))*(ifelse(root,facing=0,-1,1)),ceil(var(38)+(rootdist X))*(ifelse(root,facing=0,1,-1)))


;===========================================================================
;var(10)=10
[State 100000]
type=varset
trigger1= root,name="shen"
var(10) = 10
[State -3]
type = helper
trigger1=var(10)=10
trigger1= roundstate = 2
trigger1= !NumHelper(150000)
helpertype=normal
name="hourai"
stateno=150000
ID=150000
pos=0,0
keyctrl=1
pausemovetime=99999999
supermovetime=99999999
persistent = 0
[State -3]
type = helper
trigger1=var(10)=10
trigger1= roundstate = 2
trigger1= !NumHelper(150001)
helpertype=normal
name="hourai"
stateno=150001
ID=150001
pos=0,0
keyctrl=1
pausemovetime=99999999
supermovetime=99999999
persistent = 0

[State 100000]
type=varset
trigger1=var(10)=10
trigger1=var(22)=0
trigger1=var(23)=0
trigger1=enemynear,ctrl
var(20)=enemynear,numproj
[State 100000]
type=varset
trigger1=var(10)=10
trigger1=var(22)=0
trigger1=var(23)=0
trigger1=enemynear,ctrl
var(21)=enemynear,numhelper

;弾拳成功or失敗
[State 100000]
type=varset
trigger1=var(10)=10
trigger1=NumHelper(1300)
trigger1=helper(1300),stateno=1310
trigger1=helper(1300),time=1
trigger2=root,movetype=H
trigger2=root,time=1
var(22)=0
[State 100000]
type=varset
trigger1=var(10)=10
trigger1=NumHelper(1300)
trigger1=helper(1300),stateno=1310
trigger1=helper(1300),time=1
trigger2=root,movetype=H
trigger2=root,time=1
var(23)=0
[State 100000]
type=varset
trigger1=var(10)=10
trigger1=NumHelper(1300)
trigger1=helper(1300),stateno=1310
trigger1=helper(1300),time=1
trigger2=root,movetype=H
trigger2=root,time=1
var(24)=0

[State 100000]
type=varset
trigger1=var(10)=10
trigger1=NumHelper(150001)
trigger1=NumHelper(150000)
trigger1=helper(150001),var(1)!=0
trigger1=helper(150000),var(1)!=0
trigger1=!root,inguarddist
trigger1=var(22)<0
trigger1=root,ctrl
var(22)=0
[State 100000]
type=varset
trigger1=var(10)=10
trigger1=NumHelper(150001)
trigger1=NumHelper(150000)
trigger1=!var(22)
trigger1=helper(150000),var(1)!=0
trigger1=!root,inguarddist
trigger1=var(23)<0
var(23)=0
[State 100000]
type=varset
trigger1=var(10)=2
trigger1=NumHelper(150001)
trigger1=NumHelper(150000)
trigger1=!var(22)
trigger1=helper(150000),var(1)!=0
trigger1=!root,inguarddist
var(24)=0

[State 100000]
type=varadd
trigger1=var(10)=10
trigger1=enemynear,numhelper>var(21)||enemynear,numproj>var(20)
trigger1=NumHelper(150000)
trigger1=NumHelper(150001)
trigger1=!root,inguarddist
trigger1=!helper(150000),var(1)
trigger1=helper(150001),var(1)
var(22)=1
[State 100000]
type=varset
trigger1=var(10)=10
trigger1=var(22)>0
trigger1=NumHelper(150000)
trigger1=NumHelper(150001)
trigger1=!helper(150001),var(1)
var(22)=-1*var(22)
[State 100000]
type=varset
trigger1=var(10)=10
trigger1=var(22)<0
trigger1=var(23)>0
trigger1=NumHelper(150000)
trigger1=NumHelper(150001)
trigger1=!helper(150000),var(1)
var(23)=-1*var(23)

[State 100000]
type=varadd
trigger1=var(10)=10
trigger1=var(22)!=0
trigger1=NumHelper(150000)
trigger1=helper(150000),var(1)
var(23)=1

[State 100000]
type=varadd
trigger1=var(10)=10
trigger1=enemynear,numhelper>var(21)||enemynear,numproj>var(20)
trigger1=root,inguarddist
var(24)=1

;不具合防止
[State 100000]
type=varadd
trigger1=var(10)=10
trigger1=var(22)!=0
var(25)=1
[State 100000]
type=varset
trigger1=var(10)=10
trigger1=var(25)>50
trigger1=var(22)<0
trigger1=var(23)=0
var(22)=0
[State 100000]
type=varset
trigger1=var(10)=10
trigger1=var(25)>50
trigger1=var(23)<0
trigger1=var(24)=0||var(25)>70
var(23)=0
[State 100000]
type=varset
trigger1=var(10)=10
trigger1=var(22)=0
var(25)=0

;===========================================================================
;var40-48 中下段、ガード不能記憶


[State 100000]
type=varset
trigger1=root,var(59)=4
var(40)=1
[State 100000]
type=varset
trigger1=root,var(59)=3
var(40)=2

[State 100000]
type=varset
triggerall = p2stateno!=0
trigger1 = p2stateno=var(41)
trigger2 = p2stateno=var(42)
trigger3 = p2stateno=var(43)
trigger4 = p2stateno=var(44)
var(40)=ifelse(var(40)=1,4,3)

[State 100000]
type=varset
trigger1 = enemynear,stateno >= 200
trigger1 = enemynear,stateno!=var(41)&&enemynear,prevstateno!=var(41)
trigger1 = enemynear,stateno!=var(42)&&enemynear,prevstateno!=var(42)
trigger1 = enemynear,stateno!=var(43)&&enemynear,prevstateno!=var(43)
trigger1 = var(41)&&var(42)&&var(43)&&!var(44)
trigger1 = root,movetype=H  || root,statetype=L
trigger1 = root,stateno!=[120,155]
trigger1 = root,prevstateno=[120,155]
var(44)=enemynear,stateno
[State 100000]
type=varset
trigger1 = enemynear,stateno >= 200
trigger1 = enemynear,stateno!=var(41)&&enemynear,prevstateno!=var(41)
trigger1 = enemynear,stateno!=var(42)&&enemynear,prevstateno!=var(42)
trigger1 = var(41)&&var(42)&&!var(43)
trigger1 = root,movetype=H  || root,statetype=L
trigger1 = root,stateno!=[120,155]
trigger1 = root,prevstateno=[120,155]
var(43)=enemynear,stateno
[State 100000]
type=varset
trigger1 = enemynear,stateno >= 200
trigger1 = enemynear,stateno!=var(41)
trigger1 = enemynear,prevstateno!=var(41)
trigger1 = var(41)&&!var(42)
trigger1 = root,movetype=H &&(root,stateno!=[120,155])
trigger1 = root,prevstateno=[120,155]
var(42)=enemynear,stateno
[State 100000]
type=varset
trigger1 = !var(41)
trigger1 = root,movetype=H &&(root,stateno!=[120,155])
trigger1 = root,prevstateno=[120,155]
var(41)=enemynear,stateno
[State 100000]
type=varset
trigger1=var(45)&&!var(46)
trigger1=enemynear,stateno!=var(45)
trigger1=p2stateno=[200,4999]
trigger1=!inguarddist
trigger1=root,movetype=H
trigger1=root,stateno=[5000,5100]
var(46)=enemynear,stateno
[State 100000]
type=varset
trugger1=!var(45)
trigger1=p2stateno=[200,4999]
trigger1=!inguarddist
trigger1=root,movetype=H
trigger1=root,stateno=[5000,5100]
var(45)=enemynear,stateno
[State 100000]
type=varset
triggerall = var(47)
triggerall = p2stateno!=var(47)
triggerall = enemynear,stateno >= 200
triggerall = enemynear,stateno!=var(47)
triggerall = enemynear,prevstateno!=var(47)
triggerall = var(40)=[3,4]
triggerall = root,movetype=H &&(root,stateno!=[120,155])
triggerall = root,prevstateno=[120,155]
triggerall = root,time = 1
trigger1 = p2stateno=var(41)
trigger2 = p2stateno=var(42)
trigger3 = p2stateno=var(43)
trigger4 = p2stateno=var(44)
var(48)=enemynear,stateno
[State 100000]
type=varset
triggerall = var(40)=[3,4]
triggerall = root,movetype=H &&(root,stateno!=[120,155])
triggerall = root,prevstateno=[120,155]
triggerall = root,time = 1
trigger1 = p2stateno=var(41)
trigger2 = p2stateno=var(42)
trigger3 = p2stateno=var(43)
trigger4 = p2stateno=var(44)
var(47)=enemynear,stateno
[State -3]
type = VarSet
triggerall=enemynear,movetype!=I
trigger1 = var(40)=3
var(40) = 1
[State -3]
type = VarSet
triggerall=var(1)>=4
triggerall=enemynear,movetype!=I
trigger1 = var(40)=4
var(40) = 2

;===========================================================================
;var(49)リバーサルガード

[State -3]
type = VarSet
triggerall=var(1)>=4
trigger1 = var(56)>=1
Trigger1 = root,time=1
trigger1 = root,movetype=H &&(root,stateno!=[120,155])
var(49) = var(56)


;===========================================================================
;var(50)汎用trigger開発


;===========================================================================
;var(56)起き上がり投げ無敵F(一応リバサ暴れ防止も兼ねる）

[State -3]
type = VarSet
trigger1 = var(56)>=0
trigger1 = root,stateno=5120
Trigger1 = root,animtime=-1
var(56) = 12
[State -3]
type = VarSet
trigger1 = enemynear,stateno=5120
Trigger1 = enemynear,animtime=-1
var(56) = -12
[State -3]
type = Varadd
trigger1 = var(56)!=0
var(56) = ifelse(var(56)>0,-1,1)


;===========================================================================
;var(59) ヘルパー式起動法

[State 100000]
type=varset
trigger1=(command="a"&&root,command="a")+(command="b"&&root,command="b")+(command="c"&&root,command="c")+(command="x"&&root,command="x")+(command="y"&&root,command="y")+(command="z"&&root,command="z")+(command="start"&&root,command="start")
trigger2=(command="up"&&root,command="up")+(command="down"&&root,command="down")+(command="fwd"&&root,command="fwd")+(command="back"&&root,command="back")
trigger3=root,var(59)
trigger4=(root,power=root,powermax)*(enemynear,power=enemynear,powermax)*(root,life=root,lifemax)*(enemynear,life=enemynear,lifemax)
var(59)=-1

[State 100000]
type=varset
triggerall=var(59)=0
;trigger1=root,movetype!=H
;trigger1=(root,movetype=A)-(HitPauseTime=0)
trigger1=(command!="a"&&root,command="a")+(command!="b"&&root,command="b")+(command!="c"&&root,command="c")+(command!="x"&&root,command="x")+(command!="y"&&root,command="y")+(command!="z"&&root,command="z")+(command!="start"&&root,command="start")
trigger2=(command!="up"&&root,command="up")+(command!="down"&&root,command="down")+(command!="fwd"&&root,command="fwd")+(command!="back"&&root,command="back")
;trigger2=root,stateno<105
;trigger2=root,prevstateno!=[120,155]
;trigger2=root,p2dist X >0;コマンド逆になるから防止（facingが機能してないっぽい？）
;trigger2=root,stateno!=52&&root,prevstateno!=52&&root,prevstateno!=20;飛び越えた後の着地あたりが怪しい
;Trigger2=facing= root,facing
;trigger2=(command!="up"&&root,command="up")+(!root,inguarddist&&command!="down"&&root,command="down")+(command!="fwd"&&root,command="fwd")+(!root,inguarddist&&command!="back"&&root,command="back")
;trigger2=(command!="up"+root,command="up")+(command!="down"+root,command="down")+(command!="fwd"+root,command="fwd")+(command!="back"+root,command="back")!=4
;trigger2=(command!="up"+root,command="up")+(command!="down"+root,command="down")+(command!="fwd"+root,command="fwd")+(command!="back"+root,command="back")!=2
;Trigger3=facing!=root,facing
;trigger3=(command!="up"&&root,command="up")+(command!="down"&&root,command="down")+(command!="fwd"&&root,command="back")+(command!="back"&&root,command="fwd")
var(59)=1



;===========================================================================
;不具合防止
[State 100000]
type = SelfState
trigger1 = !IsHelper
Value = 0
[State 100000]
type = NotHitBy
trigger1 = IsHelper
value = SCA
[State 100000]
type = assertspecial
trigger1 = 1
flag = invisible
;flag2 = noautoturn


;===========================================================================

[Statedef 110000]
Type = A
Ctrl = 0
Movetype = I
Physics = N
[state 120000]
type = varset
Trigger1 = time=0
var(0)=0
[state 110000]
type = velset
Trigger1 = 1;root,numprojID(110000) > 0
x = 10
[State 100000]
type = SelfState
trigger1 = !IsHelper
Value = 0
[State 1825]
type = assertspecial
trigger1 = 1
flag = invisible
[State 10000]
type = NotHitBy
value = SCA
trigger1 = 1
[state 110000]
type=Projectile
trigger1 = time = 0
trigger1 = numprojID(110000) < 1
velocity = 10,0
projID = 110000
projanim = 0;110000;万が一被ったら変更
projhits = 9999
projpriority = 9999
offset = 0,9999
projstagebound = const(size.ground.front)
projedgebound = 100000
projremovetime = -1
supermovetime = 9999
pausemovetime = 9999
[state 110000]
type = velset
trigger1 = vel X > 0
Trigger1 = root,numprojID(110000) = 0
x = 0
[state 110000]
type=null;Projectile;そもそも確認用に出す必要が無かった
trigger1 = time > 0
trigger1 = vel X = 0
trigger1 = numprojID(110000) =0
trigger1 = numprojID(110001) <0
velocity = 0,0
projID = 110001
projanim = 0;110001;万が一被ったら変更
projhits = 9999
projpriority = 9999
offset = 0,9999
projremovetime = -1
supermovetime = 9999
pausemovetime = 9999
[state 110000]
type = varset
trigger1 = vel X = 0
Trigger1 = root,numprojID(110000) = 0
trigger1 = NumHelper(110000)
trigger1 = vel X= 0
var(0) = ceil(rootdist X)
[state 110000]
type = destroyself
trigger1 = time > 0
trigger1 = var(0)
trigger1 = NumHelper(35)
trigger1 = helper(35),var(36)

[Statedef 120000]
Type = A
Ctrl = 0
Movetype = I
Physics = N
Sprpriority = 1
[state 120000]
type = varset
Trigger1 = time=0
var(0)=0
;逆向きに飛んで貰う
[State 100000]
type = null;turn
trigger1 = NumHelper(35)
trigger1=facing=helper(35),facing
;不具合防止
[State 100000]
type = SelfState
trigger1 = !IsHelper
Value = 0
[State 1825]
type = assertspecial
trigger1 = 1
flag = invisible
[State 10000]
type = NotHitBy
value = SCA
trigger1 = 1
[state 110000]
type = velset
;trigger1 = helper(110000),facing
Trigger1 = 1;root,numprojID(120000) > 0
x = -10
[state 110000]
type=Projectile
;trigger1 = helper(110000),facing
trigger1 = time=0;numprojID(120000) < 1
velocity = -10,0
projID = 120000
projanim = 0;110000;万が一被ったら変更
projhits = 9999
projpriority = 9999
offset = 0,9999
projstagebound = const(size.ground.front);front
projedgebound = 100000
projremovetime = -1
supermovetime = 9999
pausemovetime = 9999
[state 110000]
type = velset
trigger1 = vel X < 0
Trigger1 = root,numprojID(120000) = 0
x = 0
[state 110000]
type = varset
trigger1 = time>0
trigger1 = vel X= 0
Trigger1 = root,numprojID(120000) = 0
trigger1 = NumHelper(120000)
var(0) = ceil(rootdist X)
[state 110000]
type = destroyself
trigger1 = time > 0
trigger1 = var(0)
trigger1 = NumHelper(35)
trigger1 = helper(35),var(37)
;===========================================================================
[StateDef 150000]
physics=N
ctrl=0
[State 100000]
type=nothitby
value = SCA
trigger1 = 1
[State 100000]
type=varset
trigger1=inguarddist
var(1)=1
[State 100000]
type=varset
trigger1=!inguarddist
var(1)=0
[State 100000]
type = turn
trigger1 = p2dist X < 0
[State -1, PosAdd] 
type = PosAdd 
trigger1 = 1
x = ceil(rootDist X)+ceil(root,p2dist X/3)
[State 100000]
type = SelfState
trigger1 = !IsHelper
Value = 0
[State 100000]
type = NotHitBy
trigger1 = IsHelper
value = SCA
[State 100000]
type = assertspecial
trigger1 = 1
flag = invisible
;flag2 = noautoturn
[StateDef 150001]
physics=N
ctrl=0
[State 100000]
type=nothitby
value = SCA
trigger1 = 1
[State 100000]
type=varset
trigger1=inguarddist
var(1)=1
[State 100000]
type=varset
trigger1=!inguarddist
var(1)=0
[State 100000]
type = turn
trigger1 = p2dist X < 0
[State -1, PosAdd] 
type = PosAdd 
trigger1 = 1 
x = ceil(rootDist X) +ceil(root,p2dist X*2/3)
[State 100000]
type = SelfState
trigger1 = !IsHelper
Value = 0
[State 100000]
type = NotHitBy
trigger1 = IsHelper
value = SCA
[State 100000]
type = assertspecial
trigger1 = 1
flag = invisible
;flag2 = noautoturn
;===========================================================================
